List Doc Folders

List all active folders used to organize workspace docs. Folders are returned as a flat list with parentId references; clients reconstruct the tree as needed.

GET/api/v1/docs/folders

Authorization

ApiKeyAuth

Query Parameters

workspaceId*string

The unique identifier of the workspace.

Response Body

application/json

curl -X GET \  "https://tryrecall.com/api/v1/docs/folders?workspaceId=YOUR_WORKSPACE_ID" \  -H "X-API-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "folders": [
      {
        "id": "string",
        "workspaceId": "string",
        "parentId": "string",
        "name": "string",
        "isSystem": true,
        "sortOrder": 0,
        "color": "string",
        "createdBy": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "totalCount": 0
  }
}
Empty
Empty
Empty